Loading...
Searching...
No Matches
WGPUCompilationMessage Struct Reference

`#include <mini_webgpu.h>`

## Public Attributes

WGPUChainedStruct const * | nextInChain
WGPU_NULLABLE char const * | message
WGPUCompilationMessageType | type
uint64_t | lineNum
uint64_t | linePos
uint64_t | offset
uint64_t | length
uint64_t | utf16LinePos
uint64_t | utf16Offset
uint64_t | utf16Length

## Detailed Description

Definition at line 1097 of file mini_webgpu.h.

## Member Data Documentation

## nextInChain

WGPUChainedStruct const* WGPUCompilationMessage::nextInChain

Definition at line 1098 of file mini_webgpu.h.

## message

WGPU_NULLABLE char const* WGPUCompilationMessage::message

Definition at line 1099 of file mini_webgpu.h.

## type

WGPUCompilationMessageType WGPUCompilationMessage::type

Definition at line 1100 of file mini_webgpu.h.

## lineNum

uint64_t WGPUCompilationMessage::lineNum

Definition at line 1101 of file mini_webgpu.h.

## linePos

uint64_t WGPUCompilationMessage::linePos

Definition at line 1102 of file mini_webgpu.h.

## offset

uint64_t WGPUCompilationMessage::offset

Definition at line 1103 of file mini_webgpu.h.

## length

uint64_t WGPUCompilationMessage::length

Definition at line 1104 of file mini_webgpu.h.

## utf16LinePos

uint64_t WGPUCompilationMessage::utf16LinePos

Definition at line 1105 of file mini_webgpu.h.

## utf16Offset

uint64_t WGPUCompilationMessage::utf16Offset

Definition at line 1106 of file mini_webgpu.h.

## utf16Length

uint64_t WGPUCompilationMessage::utf16Length

Definition at line 1107 of file mini_webgpu.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_webgpu.h